execution state
Create execution state snapshot
Requires scopes: runs:write
POST
/
api
/
execution-state
/
sessions
/
{sessionId}
/
snapshot
Create execution state snapshot
curl --request POST \
--url https://evalgate.com/api/execution-state/sessions/{sessionId}/snapshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedRevision": 123,
"reducerVersion": "<string>",
"throughSequence": 123
}
'import requests
url = "https://evalgate.com/api/execution-state/sessions/{sessionId}/snapshot"
payload = {
"expectedRevision": 123,
"reducerVersion": "<string>",
"throughSequence": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedRevision: 123, reducerVersion: '<string>', throughSequence: 123})
};
fetch('https://evalgate.com/api/execution-state/sessions/{sessionId}/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "conflicted",
"id": "<string>",
"createdAt": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": {
"policyDecisionIds": [
"<string>"
],
"activeApprovals": [
"<string>"
],
"deniedActions": [
"<string>"
],
"expiredApprovals": [
"<string>"
]
},
"schemaVersion": 1,
"artifacts": [
{
"status": "conflicted",
"ref": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
},
"role": "input",
"sourceEventIds": [
"<string>"
]
}
],
"contentHash": "<string>",
"revision": 123,
"reasonCodes": [
"<string>"
],
"evidence": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"objective": {
"status": "active",
"summary": "<string>",
"hardConstraints": [
"<string>"
],
"successCriteria": [
"<string>"
],
"objectiveVersionId": "<string>",
"objectiveId": "<string>",
"objectiveInstanceId": "<string>"
},
"sessionId": "<string>",
"context": {
"completeness": "complete",
"activeEpochId": "<string>",
"offloadedRefs": [
"<string>"
],
"omittedRequiredRefs": [
"<string>"
]
},
"failures": {
"unresolvedFailureIds": [
"<string>"
],
"resolvedFailureIds": [
"<string>"
],
"rejectedApproachIds": [
"<string>"
]
},
"reducedThroughSequence": 123,
"reducerVersion": "<string>",
"sourceEventSetHash": "<string>",
"work": {
"pending": [
{
"status": "pending",
"id": "<string>",
"title": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"owner": "<string>"
}
],
"active": [
{
"status": "pending",
"id": "<string>",
"title": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"owner": "<string>"
}
],
"completed": [
{
"status": "pending",
"id": "<string>",
"title": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"owner": "<string>"
}
],
"blocked": [
{
"status": "pending",
"id": "<string>",
"title": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"owner": "<string>"
}
]
},
"decisions": {
"rejected": [
{
"status": "rejected",
"id": "<string>",
"scope": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"statement": "<string>",
"rationale": "<string>"
}
],
"accepted": [
{
"status": "rejected",
"id": "<string>",
"scope": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"statement": "<string>",
"rationale": "<string>"
}
],
"superseded": [
{
"status": "rejected",
"id": "<string>",
"scope": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"statement": "<string>",
"rationale": "<string>"
}
],
"unresolved": [
{
"status": "rejected",
"id": "<string>",
"scope": "<string>",
"sourceEventIds": [
"<string>"
],
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"statement": "<string>",
"rationale": "<string>"
}
]
},
"memory": {
"activeLocalFacts": [
{
"id": "<string>",
"scope": "session",
"evidenceRefs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"statement": "<string>",
"trust": "observed",
"expiresAt": "<string>"
}
],
"pendingCandidates": [
"<string>"
],
"rejectedCandidates": [
"<string>"
]
},
"next": {
"recommendedActions": [
{
"id": "<string>",
"rationale": "<string>",
"action": "<string>",
"authority": "read_only",
"targetRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
}
}
],
"openQuestions": [
{
"id": "<string>",
"question": "<string>",
"blocking": true,
"requiredEvidence": [
"<string>"
]
}
],
"verificationRequired": [
{
"id": "<string>",
"statement": "<string>",
"requiredBefore": "release"
}
]
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Path Parameters
Response
Successful response
status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
required
Available options:
conflicted Show child attributes
Show child attributes
Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create execution state snapshot
